Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
Mercury.Interpreting.VariableParameter Class Reference

Represents a named parameter that will be replaced by an actual value of a variable captured by interpreter. More...

Inheritance diagram for Mercury.Interpreting.VariableParameter:

## Public Member Functions
| VariableParameter (string name)
| Creates a new Mercury.Interpreting.VariableParameter instance. More...
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()
bool | Equals (VariableParameter other)

## Properties
string | Name`[get, set]`
| Variable name. More...
ParameterType | Type`[get, set]`
Properties inherited from Mercury.Interpreting.IFormalParameter
ParameterType | Type`[get]`
| Formal parameter type. More...

## Detailed Description

Represents a named parameter that will be replaced by an actual value of a variable captured by interpreter.

Definition at line 160 of file FormalParameter.cs.

## Constructor & Destructor Documentation

Mercury.Interpreting.VariableParameter.VariableParameter | ( | string | name | ) |

Creates a new Mercury.Interpreting.VariableParameter instance.

Parameters

  name | The name of the paramter.

Exceptions

  System.ArgumentNullException | When name is not valid.

Definition at line 169 of file FormalParameter.cs.

## Member Function Documentation

override bool Mercury.Interpreting.VariableParameter.Equals | ( | object | obj | ) |

Definition at line 187 of file FormalParameter.cs.

bool Mercury.Interpreting.VariableParameter.Equals | ( | VariableParameter | other | ) |

Definition at line 211 of file FormalParameter.cs.

override int Mercury.Interpreting.VariableParameter.GetHashCode | ( |  | ) |

Definition at line 193 of file FormalParameter.cs.

override string Mercury.Interpreting.VariableParameter.ToString | ( |  | ) |

Definition at line 196 of file FormalParameter.cs.

## Property Documentation

string Mercury.Interpreting.VariableParameter.Name
| get set

Variable name.

Definition at line 181 of file FormalParameter.cs.

ParameterType Mercury.Interpreting.VariableParameter.Type
| get set

Definition at line 205 of file FormalParameter.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Interpreting/FormalParameter.cs